Subject: Re: Rebase 1.5-1: Causes invalid page fault
From: Nicholas Wourms <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Jun 2002 05:52:46 -0700 (PDT)

Jason,

--- Jason Tishler <[email-masked]> wrote:
> Nicholas,
> 
> I recommend skipping the DLLs that get corrupted by rebasing.  Back in
> February, I determined that the following DLLs should be skipped:
> 
>     cygcurl-2.dll
>     libW11.dll
> 
> Since there have been many new packages added since then, one needs to
> determine if more DLLs need to be skipped too.

Short of starting a program linked againsted a "potential" corrupted dll,
is there any other way to know if the dll was corrupted?  Perhaps some
heuristics in rebase to detect this (if possible) and restore the original
dll returning a message stating that corruption has occurred might be the
way to go?  Perhaps there is something common in the mangled dlls hex that
can be used to identify this corruption?

> Additionally, it was recommended on cygwin-apps to avoid rebasing
> cygwin1.dll.  Note, however that I have determined empirically that
> rebasing cygwin1.dll does not corrupt it.
> 
> Unfortunately, the above is just a workaround.  We really need to figure
> out why some DLLs get corrupted by rebasing.  I have evidence that it
> may have something to due to with stripping.  I arrived at this
> hypothesis because the PostgreSQL DLLs get corrupted if I rebase them
> when they are stripped but do not when unstripped.  On the other hand,
> may other DLLs (e.g., all of the Python ones) can be rebased after
> stripping.
> 
> Yes, please.  I'm willing to review your drafts.

I'll draw up a tentitive version using the LDP HOWTO sgml style and send
it as soon as it is ready.  You know, it occurs to me that cygwin is
getting big enough to justify a Cygwin Documentation Project...  Anyhow,
I'm going to cull the archives for questions on rebase, please tell me if
there are any other MLs on which you discussed this.
 
> OK, the above indicates that rebase.exe is blowing up in the call to
> ReBaseImage().  So, either these is a problem with ReBaseImage() (under
> Me) or bad arguments are being passed.  Can you get the values of the
> arguments?
> 
> Thanks,
> Jason

Forgive my ignorance, but how do you suggest I approach this?  Since
rebase isn't linked against cygwin1.dll, strace doesn't work on it.  Is
there a way to do this operation gdb or is there another tool I should
use?

Cheers,
Nicholas

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/